<?
if (isset($_REQUEST[session_name()])) 
@session_start();

$title="Оплата";
$bp="../";
$base_path="../";

require_once($base_path.'connect/connect.php');
include_once($base_path.'lib/lib.php');
include_once($base_path.'blok/vibor_payment_arr.php');

$id = intval($_REQUEST['id']);
$type_payment = intval($_REQUEST['type_payment']);
$step = intval($_REQUEST['step']);
$service = intval($_REQUEST['service']);

$amount = $sms[$type_payment]; 
$nam = $name[$type_payment];

if($_SESSION['ID_P'][1])
	{
	$p=mysql_query("SELECT * FROM akk WHERE id_akk='".intval($_SESSION['ID_P'][1])."'");
	$np=mysql_num_rows($p);
	if($np)
		{
		$pp=mysql_fetch_array($p);
		$summa=floatval($pp['summa']);
		}
	}



$r=mysql_query("SELECT * FROM service");
$ry=mysql_fetch_array($r);
$r=mysql_query("SELECT * FROM board WHERE id='".$id."'");
$nr=mysql_num_rows($r);
$rr=mysql_fetch_array($r);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?=$title?></title>
<meta name="Author" content="aikuvshinov@mail.ru, http://script-ks.narod.ru" />
<link rel="stylesheet" type="text/css" href="<?=$base_path?>style/style.css" />
<link rel="stylesheet" type="text/css" href="<?=$bp?>style/jquery.fancybox.css" media="screen" />

<script type="text/javascript" charset="utf-8" src="<?=$base_path.'js/'?>jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="<?=$bp.'js/'?>jquery.easing.1.3.js"></script>
<script type="text/javascript" src="<?=$bp.'js/'?>jquery.fancybox-1.2.1.pack.js"></script>
<script type="text/javascript" src="<?=$bp.'js/'?>fancy.js"></script>

<![if !IE]>
<script type="text/javascript" src="<?=$base_path.'js/'?>jquery.corner.js"></script>
<?
if($rru['round'])
{
?>
<script type="text/javascript">
$(document).ready(function(){
$(".imground").corner("round");
$(".submit").corner("round");
$(".str").corner("round");
});
</script>
<?
}
?>
<![endif]>


</head>
<BODY 
style="MARGIN: 0px auto; POSITION: inherit; width: 1000px">

<?
include_once($base_path."blok/top_form.php"); 

if(!$nr) $yes_usluga='<font color=red>Нет такого объявления</font>';

if( $step !=3 && (strtotime($rr['vip_data']) > time()) )
	{
	$yes_usluga = '<font color=red>К даноому объявлению уже применена услуга "'.$name[$rr['vip']].'". Срок действия данной услуги закончится '.dat_rus($rr['vip_data'],2).'</font>';
	}
?>


<table cellpadding="5" cellspacing="5" width="100%">
	<tr>
		<td width="60%" valign="top">
		<?
		if($yes_usluga) echo $yes_usluga; else
		{
		echo '<font color="#9A9A9A" size=+1 align=center>'.$name[$type_payment].' N '.$id.'</font>';
		echo '<p>';
					
		if($step==1)
			{
			echo $opis_service[$type_payment].'<p>';
			?>
			<table>
				<tr valign="top">
					<td width="230">
						<b>Выберите способ оплаты:</b><br><br>
						<form name="form1" id="form1" method="post" action="?step=2">
		 				<input name="service" onclick="vibor_pay(1)" type="radio" value="1" > SMS 
         				<br>
		 				<input name="service" onclick="vibor_pay(2)" type="radio" value="2" > из кошелька 
		 				<br><br>
		 				<input id="subm" type="submit" class="submit" name="submit" value="Перейти к оплате" />
		 				<input type="hidden" name="id" value="<?=$id?>">
		 				<input type="hidden" name="type_payment" value="<?=$type_payment?>">
        				</form>
					<td>
						<span id="vib"><br><br><font color=red>Способ оплаты не выбран</font></span>
					</td>
				</tr>
			</table>
			<?
			}
		elseif($step==2)
			{
			if($service==1)
				{
				//echo $opis_sms[$type_payment];
				echo $opis_sms_prim;
				include_once('../user/sms/index.php');
				}
			elseif($service==2)
				{
				if($summa >= floatval($koshel[$type_payment]))
				include_once('../user/service.php');
				else echo '<font color=red>В Вашем кошельке недостаточно средств для оплаты</font><br><a href="../user/pay.php">Пополнить кошелек</a>';
				}
			}
		elseif($step==3)
			{
			if($summa >= floatval($koshel[$type_payment]))
				{
				if($foto[$type_payment] && $rr['small'])
					{
					$middle_a = '../'.str_replace('s','b',$rr['small']);
					$middle_b = '../foto_vip/'.$rr['id'].'m.jpg';
					smalling ($middle_a, $middle_b, 200, 4, ".jpg"); 
					}
								
				$dop_zap='';
				
				$o = mysql_query("SELECT data1 FROM board WHERE id='".$id."'");
				$oo = mysql_fetch_array($o);
				$data_ob=strtotime($oo['data1']);
				$data_vip=time()+7*24*60*60;
				if($data_ob<$data_vip)
				$dop_zap .= " data1 = '".date($date_format_site3, $data_vip)."', ";
				if($data[$type_payment])
				$dop_zap .= " data = NOW(), ";
				
				mysql_query("UPDATE board SET 
							".$dop_zap."
							vip='".$type_payment."', 
							vip_sort='".$vip_sort[$type_payment]."', 
							vip_data=NOW() + INTERVAL 7 DAY 
							WHERE id='".$id."'");
							
				mysql_query("INSERT INTO plateg (summa, id_akk, typ, data, opis)  
							VALUES ('".$koshel[$type_payment]."', '".$_SESSION['ID_P'][1]."', 2, NOW(), 
							'Оплата сервиса ".$name[$type_payment]." под номером ".$id." ')");
				$id_user=$_SESSION['ID_P'][1];
				include_once('../user/balans.php');
				
				echo 'Оплата услуги проведена успешно';
				}
				else echo '<font color=red>В Вашем кошельке недостаточно средств для оплаты</font><br><a href="../user/pay.php">Пополнить кошелек</a>';
			}
		}
		
		$cena_xml=$sms[$type_payment];
		include('sms_xml.php');
		
		
		?>
		</td>
		<td valign="top" align="center" width="100">
		<?
		echo '<img src="'.$bp.$img[$type_payment].'" border=0>';
		?>
		</td>
		<td valign="top" width="30%">
		<?
		echo '<b>'.$rr['zag'].'</b><br>';
		if($rr['small'])
		echo '<img class="imground" src="'.$bp.$rr['small'].'" border=0>';
		?>
		
		
		</td>
	</tr>
	
	<tr>
		<td colspan="3">
					<?
					include_once($base_path."blok/bottom_form.php"); 
					?>
		</td>
	</tr>
	
</table>
<script type="text/javascript">
var opl = new Array();
opl[1] = '<br><br><font color=green>В зависимости от Вашего оператора цена данной услуги может изменяться</font>';
opl[2] = '<br><br><font color=green>За данную услугу с Вашего кошелька будет списана сумма <?=$koshel[$type_payment]?> руб.</font>';

var summa=<?=intval($summa)?>;
var koshel=<?=$koshel[$type_payment]?>;
var akk = <?=intval($_SESSION['ID_P'][1])?>;
var err_sum='<br><br><font color=red>Для оплаты данной услуги ('+koshel+'руб.) на Вашем счету недостаточно средств ('+summa+'руб.)</font><br><a href="../user/pay.php">Пополнить кошелек</a>';
var err_akk='<br><br><font color=red>Для пользования кошельком необходимо авторизоваться на сайте</font>';

function vibor_pay(x)
	{
	if(x==2) $("#tab_sms").hide(); else $("#tab_sms").show();
	var err = '';
	if(x==2)
		{
		if(summa<koshel) err = err_sum;
		if(!akk) err = err_akk;
		}
	if(err)
		{
		document.getElementById('vib').innerHTML = err; 
		document.getElementById('subm').disabled=1;
		$("#subm").hide();
		}
	else
		{
		document.getElementById('vib').innerHTML = opl[x]; 
		document.getElementById('subm').disabled=0;
		$("#subm").show();
		}
	}

$("#subm").hide();
</script>
</body>
</html>